{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Posts a new comment on the file.","properties":{"path":{"type":"object","properties":{"file_key":{"type":"string","description":"File to add comments in. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."}},"required":["file_key"],"additionalProperties":false},"body":{"type":"object","properties":{"message":{"type":"string","description":"The text contents of the comment to post."},"comment_id":{"type":"string","description":"The ID of the comment to reply to, if any. This must be a root comment. You cannot reply to other replies (a comment that has a parent_id)."},"client_meta":{"description":"The position where to place the comment.","oneOf":[{"$ref":"#/definitions/Vector"},{"$ref":"#/definitions/FrameOffset"},{"$ref":"#/definitions/Region"},{"$ref":"#/definitions/FrameOffsetRegion"}]}},"required":["message"]}},"required":["path","body"],"additionalProperties":false,"definitions":{"Vector":{"type":"object","description":"A 2d vector.","properties":{"x":{"type":"number","description":"X coordinate of the vector."},"y":{"type":"number","description":"Y coordinate of the vector."}},"required":["x","y"]},"FrameOffset":{"type":"object","description":"Position of a comment relative to the frame to which it is attached.","properties":{"node_id":{"type":"string","description":"Unique id specifying the frame."},"node_offset":{"$ref":"#/definitions/Vector"}},"required":["node_id","node_offset"]},"Region":{"type":"object","description":"Position of a region comment on the canvas.","properties":{"x":{"type":"number","description":"X coordinate of the position."},"y":{"type":"number","description":"Y coordinate of the position."},"region_height":{"type":"number","description":"The height of the comment region. Must be greater than 0."},"region_width":{"type":"number","description":"The width of the comment region. Must be greater than 0."},"comment_pin_corner":{"type":"string","description":"The corner of the comment region to pin to the node's corner as a string enum.","enum":["top-left","top-right","bottom-left","bottom-right"],"default":"bottom-right"}},"required":["x","y","region_height","region_width"]},"FrameOffsetRegion":{"type":"object","description":"Position of a region comment relative to the frame to which it is attached.","properties":{"node_id":{"type":"string","description":"Unique id specifying the frame."},"node_offset":{"$ref":"#/definitions/Vector"},"region_height":{"type":"number","description":"The height of the comment region. Must be greater than 0."},"region_width":{"type":"number","description":"The width of the comment region. Must be greater than 0."},"comment_pin_corner":{"type":"string","description":"The corner of the comment region to pin to the node's corner as a string enum.","enum":["top-left","top-right","bottom-left","bottom-right"],"default":"bottom-right"}},"required":["node_id","node_offset","region_height","region_width"]}}},"name":"Add a comment to a file","id":"figma.postcomment","example":{"path":{"file_key":"example"},"body":{"message":"example"}},"maxRequests":1,"summary":false}}